Package org.springframework.context.annotation

# Class ConfigurationClassUtils

java.lang.Object
org.springframework.context.annotation.ConfigurationClassUtils

public abstract class ConfigurationClassUtils extends Object
Utilities for identifying and configuring `Configuration` classes.

Since:
  6.0
Author:
  Chris Beams, Juergen Hoeller, Sam Brannen, Stephane Nicoll

## Constructor Summary

Constructors
Constructor
Description
`ConfigurationClassUtils()`

## Method Summary

Modifier and Type
Method
Description
`static int`
`getOrder(org.springframework.beans.factory.config.BeanDefinition beanDef)`
Determine the order for the given configuration class bean definition, as set by `checkConfigurationClassCandidate(org.springframework.beans.factory.config.BeanDefinition, org.springframework.core.type.classreading.MetadataReaderFactory)`.
`static Integer`
`getOrder(org.springframework.core.type.AnnotationMetadata metadata)`
Determine the order for the given configuration class metadata.
`static Class<?>`
`initializeConfigurationClass(Class<?> userClass)`
Initialize a configuration class proxy for the specified class.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ConfigurationClassUtils

public ConfigurationClassUtils()

## Method Details

### initializeConfigurationClass

public static Class<?> initializeConfigurationClass(Class<?> userClass)
Initialize a configuration class proxy for the specified class.

Parameters:
  `userClass` - the configuration class to initialize

### getOrder

@Nullable public static Integer getOrder(org.springframework.core.type.AnnotationMetadata metadata)
Determine the order for the given configuration class metadata.

Parameters:
  `metadata` - the metadata of the annotated class
Returns:
  the `@Order` annotation value on the configuration class, or `Ordered.LOWEST_PRECEDENCE` if none declared
Since:
  5.0

### getOrder

public static int getOrder(org.springframework.beans.factory.config.BeanDefinition beanDef)
Determine the order for the given configuration class bean definition, as set by `checkConfigurationClassCandidate(org.springframework.beans.factory.config.BeanDefinition, org.springframework.core.type.classreading.MetadataReaderFactory)`.

Parameters:
  `beanDef` - the bean definition to check
Returns:
  the `@Order` annotation value on the configuration class, or `Ordered.LOWEST_PRECEDENCE` if none declared
Since:
  4.2